Loading...
Searching...
No Matches
XrdOssCache.cc File Reference
`#include <unistd.h>`
`#include <dirent.h>`
`#include <cerrno>`
`#include <fcntl.h>`
`#include <map>`
`#include <cstdio>`
`#include <string>`
`#include <strings.h>`
`#include <ctime>`
`#include <sys/param.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include "XrdOss/XrdOssCache.hh"`
`#include "XrdOss/XrdOssOpaque.hh"`
`#include "XrdOss/XrdOssPath.hh"`
`#include "XrdOss/XrdOssSpace.hh"`
`#include "XrdOss/XrdOssTrace.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
Include dependency graph for XrdOssCache.cc:

Go to the source code of this file.

## Classes

struct | XrdOssCacheDevs::devID

## Namespaces

namespace | XrdOssCacheDevs

## Variables

std::map< dev_t, devID > | XrdOssCacheDevs::dev2ID
int | XrdOssCacheDevs::devNMax = 1
XrdSysError | OssEroute
XrdSysTrace | OssTrace
int | XrdOssCacheDevs::prtNMax = 1

## Class Documentation

## XrdOssCacheDevs::devID

struct XrdOssCacheDevs::devID

Definition at line 88 of file XrdOssCache.cc.

Collaboration diagram for XrdOssCacheDevs::devID:

Class Members
int | bdevID |
char | nDev[16] |
int | partID |

## Variable Documentation

## OssEroute

XrdSysError OssEroute

extern

## OssTrace

XrdSysTrace OssTrace

extern